Pipewire matured to full version in Debian (Trixie/antiX SID)

Forum Forums News Sid Upgraders Pipewire matured to full version in Debian (Trixie/antiX SID)

  • This topic has 4 replies, 3 voices, and was last updated Nov 28-5:47 pm by olsztyn.
Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #124625
    Member
    olsztyn

      Just noticed:
      Pipewire along with associated packages has matured from Ver. 0.3.85, which we are running in antiX 23 to full Ver. 1.0 in Trixie/SID. On antiX side it has not been updated yet but as history tells me anticapitalista has been updating antiX versions of packages very promptly, to match Debian versions.
      This promotion of Pipewire to full version must be no other but in recognition of maturity of Pipewire sound technology.
      As my observation has been indicating that anticapitalista has been keeping antiX 23 in lock step with the latest Pipewire versions in antiX/Debian world, I guess we might as well expect Pipewire 1.0 coming to antiX 23 soon, which would be a welcome event for antiX users.

      • This topic was modified 4 months, 4 weeks ago by olsztyn.

      Live antiX Boot Options (Previously posted by Xecure):
      http://antixlinuxfan.miraheze.org/wiki/Table_of_antiX_Boot_Parameters

      #124634
      Moderator
      Brian Masinick

        When it moves from Sid to Testing that’s a good sign that it passes the initial tests and is ready for a reasonably stable test. If that proves to be solid then Version 1.0 may indeed be ready.

        Chances are that it is solid; best to give it a workout before it receives a full promotion.

        --
        Brian Masinick

        #124679
        Member
        olsztyn

          When it moves from Sid to Testing that’s a good sign that it passes the initial tests and is ready for a reasonably stable test.

          Indeed. Also, for antiX it needs some work every time version is updated. Namely anticapitalista modifies the Debian version, primarily by getting libelogind0 dependency out,
          otherwise the Debian version would be quick to install it. Similar work needs to be done for many other packages, before they end up in antiX, as antiX since January 2022 is libelogind0-free, in addition to being systemd-free. You can use the new Debian version of Pipewire in antiX and it works fine, but it does not satisfy the ideological objective of antiX being libelogind0-free.
          I have been a fan of libelogind0-free antiX since anticapitalista with Xecure and some other developers figured this possible in late 2021. Just this on-going work to keep it as such going forward concerns me long term. Must be never ending work on anticapitalista’s shoulders…

          • This reply was modified 4 months, 4 weeks ago by olsztyn.

          Live antiX Boot Options (Previously posted by Xecure):
          http://antixlinuxfan.miraheze.org/wiki/Table_of_antiX_Boot_Parameters

          #124681
          Forum Admin
          anticapitalista

            Packages built,

            http://repo.antixlinux.com/uploads/bookworm/nosystemd/
            http://repo.antixlinux.com/uploads/sid/nosystemd/

            Philosophers have interpreted the world in many ways; the point is to change it.

            antiX with runit - leaner and meaner.

            #124699
            Member
            olsztyn

              Packages built,

              Thank you anticapitalista… This was amazingly quick.

              Live antiX Boot Options (Previously posted by Xecure):
              http://antixlinuxfan.miraheze.org/wiki/Table_of_antiX_Boot_Parameters

            Viewing 5 posts - 1 through 5 (of 5 total)
            • You must be logged in to reply to this topic.